Package be.vlaanderen.mercurius.vsb_ewzcfin.schemas.v1

# Class CreateAdmissionAcceptedResponseType

java.lang.Object
be.vlaanderen.mercurius.vsb_ewzcfin.schemas.v1.CreateAdmissionAcceptedResponseType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:48+02:00", comments="JAXB RI v4.0.5") public class CreateAdmissionAcceptedResponseType extends Object implements Serializable

Java class for CreateAdmissionAcceptedResponseType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CreateAdmissionAcceptedResponseType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="AcceptedAdmission" type="{http://www.mercurius.vlaanderen.be/vsb-ewzcfin/schemas/v1}AcceptedAdmissionType"/>
             <element name="AcceptedBedPeriodList" type="{http://www.mercurius.vlaanderen.be/vsb-ewzcfin/schemas/v1}AcceptedBedPeriodListType"/>
             <element name="AcceptedTemporaryAbsenceList" type="{http://www.mercurius.vlaanderen.be/vsb-ewzcfin/schemas/v1}AcceptedTemporaryAbsenceListType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CreateAdmissionAcceptedResponseType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AcceptedAdmissionType`
  `getAcceptedAdmission()`
  De aanvaarde opname.
  `AcceptedBedPeriodListType`
  `getAcceptedBedPeriodList()`
  Lijst van types woongelegenheid die aangemaakt werden.
  `AcceptedTemporaryAbsenceListType`
  `getAcceptedTemporaryAbsenceList()`
  Lijst van tijdelijke afwezigheden die aangemaakt werden.
  `void`
  `setAcceptedAdmission(AcceptedAdmissionType value)`
  Sets the value of the acceptedAdmission property.
  `void`
  `setAcceptedBedPeriodList(AcceptedBedPeriodListType value)`
  Sets the value of the acceptedBedPeriodList property.
  `void`
  `setAcceptedTemporaryAbsenceList(AcceptedTemporaryAbsenceListType value)`
  Sets the value of the acceptedTemporaryAbsenceList property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CreateAdmissionAcceptedResponseType

    public CreateAdmissionAcceptedResponseType()

- ## Method Details

  - ### getAcceptedAdmission

    public AcceptedAdmissionType getAcceptedAdmission()
    De aanvaarde opname.
    Returns:
      possible object is `AcceptedAdmissionType`

  - ### setAcceptedAdmission

    public void setAcceptedAdmission(AcceptedAdmissionType value)
    Sets the value of the acceptedAdmission property.
    Parameters:
      `value` - allowed object is `AcceptedAdmissionType`
    See Also:
      - `getAcceptedAdmission()`

  - ### getAcceptedBedPeriodList

    public AcceptedBedPeriodListType getAcceptedBedPeriodList()
    Lijst van types woongelegenheid die aangemaakt werden.
    Returns:
      possible object is `AcceptedBedPeriodListType`

  - ### setAcceptedBedPeriodList

    public void setAcceptedBedPeriodList(AcceptedBedPeriodListType value)
    Sets the value of the acceptedBedPeriodList property.
    Parameters:
      `value` - allowed object is `AcceptedBedPeriodListType`
    See Also:
      - `getAcceptedBedPeriodList()`

  - ### getAcceptedTemporaryAbsenceList

    public AcceptedTemporaryAbsenceListType getAcceptedTemporaryAbsenceList()
    Lijst van tijdelijke afwezigheden die aangemaakt werden.
    Returns:
      possible object is `AcceptedTemporaryAbsenceListType`

  - ### setAcceptedTemporaryAbsenceList

    public void setAcceptedTemporaryAbsenceList(AcceptedTemporaryAbsenceListType value)
    Sets the value of the acceptedTemporaryAbsenceList property.
    Parameters:
      `value` - allowed object is `AcceptedTemporaryAbsenceListType`
    See Also:
      - `getAcceptedTemporaryAbsenceList()`